/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EarInfo.java 1970 2007-10-16 11:49:25Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.ant.archive.info;

import java.util.List;

import org.ow2.easybeans.ant.archive.Ejb;
import org.ow2.easybeans.ant.archive.War;

/**
 * Class that holds information about an EAR archive.
 * @author Florent Benoit
 */
public class EarInfo extends ArchiveInfo {

    /**
     * List of War to package in this EAR.
     */
    private List<War> wars = null;

    /**
     * List of EJB to package in this EAR.
     */
    private List<Ejb> ejbs = null;

    /**
     * @return the list of EJBs modules
     */
    public List<Ejb> getEjbs() {
        return ejbs;
    }

    /**
     * Sets the list of EJB modules.
     * @param ejbs the list of EJBs modules
     */
    public void setEjbs(final List<Ejb> ejbs) {
        this.ejbs = ejbs;
    }

    /**
     * Sets the list of WAR modules.
     * @param wars the list of Wars modules
     */
    public void setWars(final List<War> wars) {
        this.wars = wars;
    }

    /**
     * @return the list of WARs modules
     */
    public List<War> getWars() {
        return wars;
    }
}
