/**
 * EasyBeans
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JavaxPersistenceUnit.java 1970 2007-10-16 11:49:25Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.deployment.api;

/**
 * Manages Persistence unit annotation.
 * @author Florent BENOIT
 */
public interface IJavaxPersistenceUnit {

    /**
     * @return the unit name used by this persistence context.
     */
    String getName();

    /**
     * sets the name of this persistence context.
     * @param name the name of the persistence context
     */
    void setName(final String name);

    /**
     * @return the unit name used by this persistence context.
     */
    String getUnitName();

    /**
     * sets the unit name of this persistence context.
     * @param unitName the name of the persistence unit
     */
    void setUnitName(final String unitName);
}
