/**
 * EasyBeans
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: TransactionAttributeLevel.java 2059 2007-11-22 17:22:33Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.deployment.annotations;

/**
 * Different type of level available to set the transaction attribute.
 * @author Florent BENOIT
 */
public enum TransactionAttributeLevel {

    /**
     * First level is annotation / default value.
     */
    ANNOTATION,

    /**
     * Then style 1 with wildcard.
     */
    XML_WILDCARD,

    /**
     * Style 2 with method name.
     */
    XML_METHOD_NAME,

    /**
     * And then style 3 with method name with parameters.
     */
    XML_METHOD_PARAMS

}
