package org.ow2.easybeans.deployment.annotations.analyzer.configurator.metadata.ejbjar;

import org.ow2.easybeans.deployment.metadata.ejbjar.EjbJarArchiveMetadata;
import org.ow2.util.deployment.annotations.analyzer.configurator.ArchiveConfigurator;
import org.ow2.util.deployment.annotations.analyzer.configurator.ClassConfigurator;
import org.ow2.util.deployment.metadata.structures.JClass;

/**
 * EjbJarArchiveMetadataConfigurator.
 * @author Gael Lalire
 */
public class EjbJarArchiveMetadataConfigurator implements ArchiveConfigurator {

    /**
     * archive metadata.
     */
    private EjbJarArchiveMetadata ejbJarArchiveMetadata;

    /**
     * annotationParsingDesactived.
     */
    private boolean annotationParsingDesactived;

    /**
     * Constructor.
     */
    public EjbJarArchiveMetadataConfigurator() {
        ejbJarArchiveMetadata = new EjbJarArchiveMetadata();
        annotationParsingDesactived = false;
    }

    /**
     * @param jClass signature
     * @return class configurator
     */
    public ClassConfigurator createClassConfigurator(final JClass jClass) {
        return new EjbJarClassMetadataConfigurator(jClass, ejbJarArchiveMetadata, annotationParsingDesactived);
    }

    /**
     * @return the archive metadata
     */
    public EjbJarArchiveMetadata getEjbJarArchiveMetadata() {
        return ejbJarArchiveMetadata;
    }

    /**
     * @return true if annotation parsing is desactived
     */
    public boolean isAnnotationParsingDesactived() {
        return annotationParsingDesactived;
    }

    /**
     * Set annotationParsingDesactived.
     * @param annotationParsingDesactived true if you want to desactive annotation parsing
     */
    public void setAnnotationParsingDesactived(final boolean annotationParsingDesactived) {
        this.annotationParsingDesactived = annotationParsingDesactived;
    }

}
