package org.ow2.easybeans.deployment.annotations.analyzer.configurator.metadata.war;

import org.ow2.easybeans.deployment.metadata.war.WarArchiveMetadata;
import org.ow2.util.deployment.annotations.analyzer.configurator.ArchiveConfigurator;
import org.ow2.util.deployment.annotations.analyzer.configurator.ClassConfigurator;
import org.ow2.util.deployment.metadata.structures.JClass;

/**
 * EjbJarArchiveMetadataConfigurator.
 * @author Gael Lalire
 */
public class WarArchiveMetadataConfigurator implements ArchiveConfigurator {

    /**
     * archive metadata.
     */
    private WarArchiveMetadata warArchiveMetadata;

    /**
     * Constructor.
     */
    public WarArchiveMetadataConfigurator() {
        warArchiveMetadata = new WarArchiveMetadata();
    }

    /**
     * @param jClass signature
     * @return class configurator
     */
    public ClassConfigurator createClassConfigurator(final JClass jClass) {
        return new WarClassMetadataConfigurator(jClass, warArchiveMetadata);
    }

    /**
     * @return the archive metadata
     */
    public WarArchiveMetadata getWarArchiveMetadata() {
        return warArchiveMetadata;
    }

}
