/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JavaxPersistenceUnit.java 2067 2007-11-27 10:03:12Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.deployment.annotations.impl;

import org.ow2.easybeans.deployment.api.IJavaxPersistenceUnit;



/**
 * This class allow to set informations on javax.persistence.PersistenceUnit
 * annotation.
 * @author Florent Benoit
 */
public class JavaxPersistenceUnit implements IJavaxPersistenceUnit {

    /**
     * Name of this persistence unit.
     */
    private String name = null;

    /**
     * Unit name of this persistence context.
     */
    private String unitName = null;

    /**
     * Build new object with default values.
     */
    public JavaxPersistenceUnit() {
        // default values
        this.unitName = "";
        this.name = "";
    }

    /**
     * @return the unit name used by this persistence context.
     */
    public String getName() {
        return name;
    }

    /**
     * sets the name of this persistence context.
     * @param name the name of the persistence context
     */
    public void setName(final String name) {
        this.name = name;
    }

    /**
     * @return the unit name used by this persistence context.
     */
    public String getUnitName() {
        return unitName;
    }

    /**
     * sets the unit name of this persistence context.
     * @param unitName the name of the persistence unit
     */
    public void setUnitName(final String unitName) {
        this.unitName = unitName;
    }

}
