/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: InjectionTarget.java 2054 2007-11-20 14:43:55Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.deployment.xml.struct.common;

/**
 * Class representing the injection-target element.
 * @author Florent Benoit
 */
public class InjectionTarget {

    /**
     * Name of the class where to inject the value.
     */
    private String classname = null;


    /**
     * Name of the attribute. (for the injection)
     */
    private String targetName = null;


    /**
     * @return the name of the class where injection should occurs.
     */
    public String getClassname() {
        return classname;
    }

    /**
     * Sets the name of the class.
     * @param classname the name of the class.
     */
    public void setClassname(final String classname) {
        this.classname = classname;
    }

    /**
     * @return the name of the target (attribute)
     */
    public String getTargetName() {
        return targetName;
    }

    /**
     * Sets the name of the attribute/target of the injection.
     * @param targetName the name of the attribute
     */
    public void setTargetName(final String targetName) {
        this.targetName = targetName;
    }

}
